#include "prjlibs-c/standards.h"
#include <fcntl.h>
#include <sys/types.h>
#include <limits.h>

#include "skalibs/include/stddjb.h"
#include "fdtools.h"

int scan_or_open(int* scan, char const* arg, int flags, mode_t mode) {
  *scan=('0'<=arg[0] && arg[0]<='9');
  if (*scan) {
    unsigned int fd;
    unsigned int const pos=scan_uint(arg, &fd);
    if (arg[pos]!='\0' || fd>INT_MAX) return -1;
    return fd;
  } else
    return open(arg, flags, mode);
}
